# FIXME libtacacs doesn't link due to undefined references
%define _disable_ld_no_undefined 1

%define major		1
%define libname		%mklibname tacacs %{major}
%define develname	%mklibname tacacs -d

Name:		tac_plus
Version:	4.0.4.28
Release:	%mkrel 2
License:	BSD
Group:		System/Servers
Summary:	TACACS+ server based on Cisco engineering release
URL:		https://www.shrubbery.net/tac_plus/
Source0:	https://shrubbery.net/pub/%{name}/tacacs-F%{version}.tar.gz
Source1:	tac_plus.conf
Source2:	tac_plus.pamd
Source3:	tac_plus.service
Source4:	tac_plus.sysconfig
Source6:	tac_plus.logrotate
Patch0:		tac_plus-4.0.4.28-mga-multiarch-libs.patch
Patch1:		tac_plus-4.0.4.26-linkage.patch
Patch2:		tac_plus-gcc14.patch
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	tcp_wrappers-devel
BuildRequires:	pam-devel
Requires(pre):	systemd
Requires(post):	systemd


%description
The base source for this TACACS+ package is Cisco's publicly available TACACS+
"developer's kit", for which we are grateful.

We needed a way to limit certain groups within the company from logging into
or getting enable access on certain devices. Access lists (ACLs) of a sort have
been added that match against the address of the device speaking with the
daemon.

Being paranoid, we also wanted to limit which hosts could connect to the
daemon. This can be done with tcp_wrappers via inetd, but this does not work if
the daemon is running standalone. So, calls to libwrap, the tcp_wrappers
library, have been added. For the source and more information about
tcp_wrappers, see Wietse Venema's site at http://www.porcupine.org/.

Along the way we have also added autoconf, expanded the manual pages,
cleaned-up various formatting and STD C nits, added PAM authentication support,
and fixed a few LP64 problems.

Of course we have also received some enhancement requests from users. One of
which was the addition of a host clause (per-host configuration). This has been
added; ported from Devrim Seral's implementation. See the documentation for
further information.

%package -n	%{libname}
Summary:	Tacacs library from %{name}
Group:		System/Libraries

%description -n	%{libname}
A shared library for TACACS+ from %{name}.

%package -n	%{develname}
Summary:	Tacacs development library from %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development library for TACACS+ from %{name}.

%prep
%autosetup -p1 -n tacacs-F%{version}

%build
export CFLAGS="%{optflags} -std=gnu17"
autoreconf -vfi
%configure \
		--disable-static \
		--enable-acls \
		--enable-uenable \
		--enable-maxsess \
		--enable-finger \
		--enable-debug \
		--enable-warn \
		--enable-mschap \
		--without-libwrap
%make_build

%install
%make_install

mkdir -p %{buildroot}{%{_unitdir},%{_sysconfdir}/{logrotate.d,pam.d,sysconfig}}
install -m 0640 %{SOURCE1} %{buildroot}%{_sysconfdir}/
install -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/pam.d/%{name}
install -m 0644 %{SOURCE3} %{buildroot}%{_unitdir}/%{name}.service
install -m 0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -m 0644 %{SOURCE6} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
rm -f %{buildroot}%{_datadir}/tacacs-/do_auth.py
mv %{buildroot}%{_datadir}/{tacacs-,tac_plus}

# we don't want these
find %{buildroot} -name '*.la' -delete

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc users_guide
%{_bindir}/tac_*
%{_sbindir}/tac_*
%{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_unitdir}/%{name}.service
%{_mandir}/man5/tac_plus.conf.5.*
%{_mandir}/man8/tac_plus.8.*
%{_mandir}/man8/tac_pwd.8.*

%files -n %{libname}
%{_libdir}/libtacacs.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libtacacs.so
%{_includedir}/tacacs.h


%changelog
* Mon Jun 02 2025 ns80 <ns80> 4.0.4.28-2.mga10
+ Revision: 2187863
- try to fix building with GCC 15

* Fri May 03 2024 daviddavid <daviddavid> 4.0.4.28-1.mga10
+ Revision: 2061983
- new version: 4.0.4.28
- switch to systemd unit from initscripts

* Sun Mar 27 2022 umeabot <umeabot> 4.0.4.26-11.mga9
+ Revision: 1829237
- Mageia 9 Mass Rebuild

* Wed Feb 26 2020 daviddavid <daviddavid> 4.0.4.26-10.mga8
+ Revision: 1550669
- drop python2 only do_auth.py
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std
- replace deprecated %%apply_patches

* Sun Sep 23 2018 umeabot <umeabot> 4.0.4.26-9.mga7
+ Revision: 1301305
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 4.0.4.26-8.mga6
+ Revision: 936012
- Mageia 6 Mass Rebuild

* Thu Oct 16 2014 luigiwalser <luigiwalser> 4.0.4.26-7.mga5
+ Revision: 763701
+ rebuild (emptylog)

* Thu Oct 16 2014 luigiwalser <luigiwalser> 4.0.4.26-6.mga5
+ Revision: 763570
+ rebuild (emptylog)

* Thu Oct 16 2014 fwang <fwang> 4.0.4.26-5.mga5
+ Revision: 763300
- fix linkage
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.0.4.26-4.mga5
+ Revision: 689676
- Mageia 5 Mass Rebuild

* Sat Sep 13 2014 danf <danf> 4.0.4.26-3.mga5
+ Revision: 675145
- Added multiarch-libs.patch to fix 64-bit build

* Mon Jun 23 2014 daviddavid <daviddavid> 4.0.4.26-2.mga5
+ Revision: 638983
- rebuild for mga5
- use correct macro (major, configure, mandir)
- disable static build package
- add missing provides and requires on devel package
+ buchan <buchan>
- New version 4.0.4.26

* Mon Jan 14 2013 umeabot <umeabot> 4.0.4.14-6.mga3
+ Revision: 384003
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 23 2012 buchan <buchan> 4.0.4.14-5.mga3
+ Revision: 262822
- imported package tac_plus


* Tue Sep 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 4.0.4.14-5mdv2010.0
+ Revision: 434267
- rebuild

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.0.4.14-4mdv2009.0
+ Revision: 261367
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.0.4.14-3mdv2009.0
+ Revision: 254073
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 4.0.4.14-1mdv2008.1
+ Revision: 140904
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Buchan Milne <bgmilne@mandriva.org> 4.0.4.14-1mdv2008.0
+ Revision: 80515
- New version 4.0.4.14


* Sat Jan 27 2007 Buchan Milne <bgmilne@mandriva.org> 4.0.4.13-1mdv2007.0
+ Revision: 114281
- Import tac_plus

* Sat Jan 27 2007 Buchan Milne <bgmilne@mandriva.org> 4.0.4.13-1mdv
- initial package

